<div class="btnAcrossPageName">
  <!-- add -->
  <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='ADD_NEW' (click)="showModalAdd(footerTmpl)"
             mbButtonText="{{'staffAbs.label.insert' | translate}}"></mb-button>
</div>


<div class='content__item content__item--border bg__content--default'>
  <form nz-form [formGroup]='form' style='margin-bottom: 8px'>
      <div nz-row [nzGutter]='[30,30]'>
          <!--    Form tìm kiếm -->
          <div nz-col [nzXs]='24' [nzLg]='8'>
              <mb-select [mbDataSelects]='positionGroupList' formControlName='positionGroupId'
                         [mbKeyValueStringType]="true"
                         mbPlaceholder="--{{'staffAbs.label.positionGroup' | translate }}--"
                         mbLabelText="{{'staffAbs.label.positionGroup' | translate}}"></mb-select>
          </div>
          <div nz-col [nzXs]='24' [nzLg]='8'>
              <mb-date-picker mbPlaceholderText="--{{'staffAbs.label.fromDate' | translate}}--"
                              mbLabelText="{{'staffAbs.label.fromDate' | translate}} "
                              formControlName='fromDate'>
              </mb-date-picker>
          </div>
          <div nz-col [nzXs]='24' [nzLg]='8'>
              <mb-date-picker mbPlaceholderText="--{{'staffAbs.label.toDate' | translate}}--"
                              mbLabelText="{{'staffAbs.label.toDate' | translate}} "
                              formControlName='toDate'
                              [mbType]=" form.errors ? 'error' : 'default'" [mbShowError]="form.errors !== null"
                              [mbErrors]="form.errors"
                              [mbErrorDefs]="[ { errorName: 'rangeDateError', errorDescription: 'staffAbs.staffLeave.rangeDateError' | translate} ]"
              >
              </mb-date-picker>
          </div>
          <!--    End Form tìm kiếm-->
      </div>
  </form>

  <div nz-row class="btn__row">
    <div nz-col nzSpan="8"></div>

    <div nz-col nzSpan="8">
      <div style="text-align: center">
        <mb-button
          class="staff__research__btn__search"
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="SEARCH"
          (click)="doSearch(1)"
          mbButtonText="{{'staffAbs.label.search' | translate}}"
        ></mb-button>
        <mb-button
          mbButtonSize="MEDIUM"
          mbButtonType="BORDER"
          (click)="doExport()"
        >
          <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
        </mb-button>
      </div>
    </div>
    <div nz-col nzSpan="8"></div>
  </div>
</div>

<div class='search__result'>
    <mb-table-wrap>
        <mb-table
            (changePageNum)='doSearch($event)'
            [tableConfig]='tableConfig' [tableData]='searchResult'
        ></mb-table>
    </mb-table-wrap>
</div>

<ng-template #footerTmpl>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.destroy()" mbButtonBgColor="transparent" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</ng-template>

<ng-template #actionTmpl let-posAnnualLeaveId='posAnnualLeaveId'>
    <mb-button mbButtonType='ONLY_ICON' mbButtonIconType='AWESOME' mbPrefixIcon='far fa-pencil-alt'
               (click)='showModalUpdate(posAnnualLeaveId,footerTmpl)'></mb-button>
    <mb-button mbButtonType='ONLY_ICON' mbButtonIconType='AWESOME' nz-popconfirm
               nzPopconfirmTitle="{{'staffAbs.table.action.isDelete' | translate}}"
               nzCancelText="{{'staffAbs.table.action.cancel' | translate}}"
               nzOkType='primary'
               nzOkText="{{'staffAbs.table.action.yes' | translate}}"
               (nzOnConfirm)='deleteItem(posAnnualLeaveId)'
               nzPopconfirmPlacement='top' mbPrefixIcon='fal fa-trash-alt'></mb-button>
</ng-template>
